#!/bin/sh

# ----- Verify and Set Required Environment Variables -------------------------

if [ "$TERM" = "cygwin" ] ; then
  S=';'
else
  S=':'
fi

# ----- Set Up The Runtime Classpath ------------------------------------------

OLD_MAVEN_OPTS="$MAVEN_OPTS"
export MAVEN_OPTS="-Xmx384m"

OLD_M2_HOME="$M2_HOME"
export M2_HOME="$PWD/maven"

OLD_PATH="$PATH"
export PATH=$M2_HOME/bin:$PATH

exec mvn idea:idea -Dmaven.test.skip $*
EXITCODE=$?

export PATH="$OLD_PATH"
export M2_HOME="$OLD_M2_HOME"
export MAVEN_OPTS="$OLD_MAVEN_OPTS"

exit $EXITCODE
